glade3: update to 3.38.0.
This commit is contained in:
parent
68708516f3
commit
131b168496
|
@ -770,7 +770,7 @@ liborc-test-0.4.so.0 orc-0.4.11_1
|
|||
libgmime-2.6.so.0 gmime-2.6.4_1
|
||||
libtotem-plparser.so.18 totem-pl-parser-3.26.1_1
|
||||
libtotem-plparser-mini.so.18 libtotem-plparser-mini-3.26.1_1
|
||||
libgladeui-2.so.6 libgladeui3-3.10.0_1
|
||||
libgladeui-2.so.13 libgladeui3-3.38.0_1
|
||||
libtdb.so.1 libtdb-1.2.2_1
|
||||
libgssdp-1.2.so.0 gssdp-1.2.0_1
|
||||
libgupnp-1.2.so.0 gupnp-1.2.0_1
|
||||
|
|
|
@ -1,98 +0,0 @@
|
|||
From 8341cf78bc6879cb2d50e12b5886ee7dca3d09f2 Mon Sep 17 00:00:00 2001
|
||||
From: =?UTF-8?q?Javier=20Jard=C3=B3n?= <jjardon@gnome.org>
|
||||
Date: Sat, 9 Feb 2019 13:15:17 +0000
|
||||
Subject: [PATCH] Use autoreconf instead deprecated gnome-common
|
||||
|
||||
See https://wiki.gnome.org/Projects/GnomeCommon/Migration
|
||||
---
|
||||
autogen.sh | 47 +++++++++++++++++++++++++++++++++--------------
|
||||
configure.ac | 6 ++----
|
||||
2 files changed, 35 insertions(+), 18 deletions(-)
|
||||
|
||||
diff --git autogen.sh autogen.sh
|
||||
index 1d8cd840..fd35663b 100755
|
||||
--- autogen.sh
|
||||
+++ autogen.sh
|
||||
@@ -1,22 +1,41 @@
|
||||
#!/bin/sh
|
||||
# Run this to generate all the initial makefiles, etc.
|
||||
+test -n "$srcdir" || srcdir=$(dirname "$0")
|
||||
+test -n "$srcdir" || srcdir=.
|
||||
|
||||
-srcdir=`dirname $0`
|
||||
-test -z "$srcdir" && srcdir=.
|
||||
+olddir=$(pwd)
|
||||
|
||||
-PKG_NAME="glade"
|
||||
+cd $srcdir
|
||||
|
||||
-(test -f $srcdir/configure.ac \
|
||||
- && test -f $srcdir/autogen.sh) || {
|
||||
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
|
||||
- echo " top-level $PKG_NAME directory"
|
||||
- exit 1
|
||||
+(test -f configure.ac) || {
|
||||
+ echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
|
||||
+ exit 1
|
||||
}
|
||||
|
||||
-which gnome-autogen.sh || {
|
||||
- echo "You need to install gnome-common module and make"
|
||||
- echo "sure the gnome-autogen.sh script is in your \$PATH."
|
||||
- exit 1
|
||||
-}
|
||||
+# shellcheck disable=SC2016
|
||||
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
|
||||
+
|
||||
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
|
||||
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
|
||||
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
|
||||
+ echo "*** '$0' command line." >&2
|
||||
+ echo "" >&2
|
||||
+fi
|
||||
+
|
||||
+aclocal --install || exit 1
|
||||
+gtkdocize --copy || exit 1
|
||||
+intltoolize --force --copy --automake || exit 1
|
||||
+autoreconf --verbose --force --install || exit 1
|
||||
+
|
||||
+cd "$olddir"
|
||||
+if [ "$NOCONFIGURE" = "" ]; then
|
||||
+ $srcdir/configure "$@" || exit 1
|
||||
|
||||
-. gnome-autogen.sh
|
||||
+ if [ "$1" = "--help" ]; then
|
||||
+ exit 0
|
||||
+ else
|
||||
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
|
||||
+ fi
|
||||
+else
|
||||
+ echo "Skipping configure process."
|
||||
+fi
|
||||
diff --git configure.ac configure.ac
|
||||
index a3524656..638e7801 100644
|
||||
--- configure.ac
|
||||
+++ configure.ac
|
||||
@@ -33,6 +33,8 @@ AM_MAINTAINER_MODE([enable])
|
||||
# to make
|
||||
AM_SILENT_RULES([yes])
|
||||
|
||||
+AX_CHECK_ENABLE_DEBUG([yes],[GNOME_ENABLE_DEBUG])
|
||||
+
|
||||
# Checks for programs
|
||||
AC_PROG_CC
|
||||
AC_PROG_INSTALL
|
||||
@@ -79,10 +81,6 @@ AM_CONDITIONAL(GLADE_UNSTABLE, test "x$GLADE_UNSTABLE" = "xyes")
|
||||
|
||||
# ================================================================
|
||||
|
||||
-GNOME_DEBUG_CHECK
|
||||
-GNOME_COMPILE_WARNINGS([maximum])
|
||||
-GNOME_MAINTAINER_MODE_DEFINES
|
||||
-
|
||||
# For the plugins, we don't use the warning flags defined by GNOME_COMPILE_WARNINGS.
|
||||
# These flags include -Wmissing-prototypes, which we prefer not to use.
|
||||
if test "x$GCC" = "xyes"; then
|
||||
--
|
||||
2.24.1
|
||||
|
|
@ -1,11 +0,0 @@
|
|||
--- configure.ac
|
||||
+++ configure.ac
|
||||
@@ -279,7 +279,7 @@
|
||||
dnl Check for GDK Quartz and MacOSX integration package
|
||||
dnl ================================================================
|
||||
_gdk_tgt=`$PKG_CONFIG --variable=targets gdk-3.0`
|
||||
-AM_CONDITIONAL([GDK_TARGET_QUARTZ], [test x$_gdk_tgt = xquartz])
|
||||
+AM_CONDITIONAL([GDK_TARGET_QUARTZ], [test "x$_gdk_tgt" = xquartz])
|
||||
if test "x$_gdk_tgt" = xquartz; then
|
||||
PKG_CHECK_MODULES(GTK_MAC, gtk-mac-integration-gtk3)
|
||||
|
|
@ -1,40 +0,0 @@
|
|||
--- m4/python.m4
|
||||
+++ m4/python.m4
|
||||
@@ -43,17 +43,9 @@
|
||||
[AC_REQUIRE([AM_PATH_PYTHON])
|
||||
AC_MSG_CHECKING(for headers required to compile python extensions)
|
||||
dnl deduce PYTHON_INCLUDES
|
||||
-am_python_print_includes="\
|
||||
-from distutils import sysconfig as sc
|
||||
-incldirs = [[]]
|
||||
-
|
||||
-for d in sc.get_config_var('INCLDIRSTOMAKE').split():
|
||||
- incldirs.append('-I' + d)
|
||||
-
|
||||
-print(' '.join(incldirs))
|
||||
-"
|
||||
+xbps_sysroot=`$CC --print-sysroot`
|
||||
if test "x$PYTHON_INCLUDES" == x; then
|
||||
- PYTHON_INCLUDES=`$PYTHON -c "$am_python_print_includes"`
|
||||
+ PYTHON_INCLUDES=`"$xbps_sysroot/$PYTHON-config" --includes`
|
||||
fi
|
||||
AC_SUBST(PYTHON_INCLUDES)
|
||||
dnl check if the headers exist:
|
||||
@@ -74,16 +66,11 @@
|
||||
[AC_REQUIRE([AM_CHECK_PYTHON_HEADERS])
|
||||
AC_MSG_CHECKING(for libraries required to embed python)
|
||||
dnl deduce PYTHON_LIBS
|
||||
-am_python_print_libs="\
|
||||
-from distutils import sysconfig as sc
|
||||
-libs = '-L' + sc.get_config_var('LIBDIR').strip()
|
||||
-libs += ' ' + sc.get_config_var('BLDLIBRARY')
|
||||
-print(libs)"
|
||||
am_python_print_lib_loc="\
|
||||
from distutils import sysconfig as sc
|
||||
print(sc.get_config_var('LIBDIR'))"
|
||||
if test "x$PYTHON_LIBS" == x; then
|
||||
- PYTHON_LIBS=`$PYTHON -c "$am_python_print_libs"`
|
||||
+ PYTHON_LIBS=`"$xbps_sysroot/$PYTHON-config" --ldflags --embed`
|
||||
fi
|
||||
if test "x$PYTHON_LIB_LOC" == x; then
|
||||
PYTHON_LIB_LOC=`$PYTHON -c "$am_python_print_lib_loc"`
|
|
@ -1,32 +1,27 @@
|
|||
# Template file for 'glade3'
|
||||
pkgname=glade3
|
||||
version=3.22.2
|
||||
version=3.38.0
|
||||
revision=1
|
||||
wrksrc="glade-${version}"
|
||||
build_style=gnu-configure
|
||||
build_style=meson
|
||||
build_helper="gir"
|
||||
configure_args="--disable-static --enable-debug=info PYTHON=/usr/bin/python3
|
||||
--enable-gladeui $(vopt_enable gir introspection)"
|
||||
configure_args="-Dgtk_doc=true -Dman=true $(vopt_bool gir introspection)"
|
||||
hostmakedepends="glib-devel gnome-doc-utils intltool itstool pkg-config
|
||||
automake autoconf-archive libtool yelp-tools gettext-devel gtk-doc"
|
||||
makedepends="gtk+3-devel python3-gobject-devel webkit2gtk-devel"
|
||||
gjs-devel yelp-tools gettext-devel gtk-doc"
|
||||
makedepends="gtk+3-devel python3-gobject-devel webkit2gtk-devel gjs-devel"
|
||||
depends="desktop-file-utils hicolor-icon-theme"
|
||||
short_desc="User Interface Designer for GTK+3"
|
||||
maintainer="Orphaned <orphan@voidlinux.org>"
|
||||
license="GPL-2.0-or-later, LGPL-2.1-or-later"
|
||||
homepage="http://glade.gnome.org/"
|
||||
distfiles="${GNOME_SITE}/glade/${version%.*}/glade-${version}.tar.xz"
|
||||
checksum=edefa6eb24b4d15bd52589121dc109bc08c286157c41288deb74dd9cc3f26a21
|
||||
checksum=4a914c5c0b19c2e52fd4ad15077d406dbfd6ad0245e239d7390bf87f27d9103c
|
||||
lib32disabled=yes
|
||||
|
||||
# Package build options
|
||||
build_options="gir"
|
||||
build_options_default="gir"
|
||||
|
||||
pre_configure() {
|
||||
NOCONFIGURE=1 ./autogen.sh
|
||||
}
|
||||
|
||||
do_check() {
|
||||
# Require running xserver
|
||||
:
|
||||
|
|
Loading…
Reference in New Issue